Skip to main content
POST
/
v1
/
team
/
statistics
/
containments-over-time
Containment actions over time
curl --request POST \
  --url https://api.wirespeed.co/v1/team/statistics/containments-over-time \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startDate": "<string>",
  "endDate": "<string>"
}
'
import requests

url = "https://api.wirespeed.co/v1/team/statistics/containments-over-time"

payload = {
    "startDate": "<string>",
    "endDate": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({startDate: '<string>', endDate: '<string>'})
};

fetch('https://api.wirespeed.co/v1/team/statistics/containments-over-time', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "bucket": "<string>",
      "success": 123,
      "failure": 123
    }
  ]
}
{
  "message": "<string>",
  "statusCode": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
granularity
enum<string>
required

Time bucket granularity

Available options:
day,
week,
month
startDate
string

ISO start date

endDate
string

ISO end date

Response

data
object[]
required